Index: addend.f
===================================================================
--- addend.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ addend.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,24 +1,24 @@
-c **************************************************************
-c
-c
-c This file contains the subroutines:  addend, redchg, rplgrp
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c $Id: addend.f 334 2007-08-07 09:23:59Z meinke $
-c **************************************************************
+! **************************************************************
+!
+!
+! This file contains the subroutines:  addend, redchg, rplgrp
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! $Id: addend.f 334 2007-08-07 09:23:59Z meinke $
+! **************************************************************
       subroutine addend(nml,grpn,grpc)
 
-c ..............................................................
-c  PURPOSE:  modify terminal residues to complete bonding scheme
-c            with residue 'grpn' at N- and residue 'grpc' at C-terminus
-c            ! need initial co-ordinates for residues to modify
-c            ! for N-terminus: may add only simple groups
-c
-c  CALLS:  rplgrp,tolost,redchg
-c ..............................................................
+! ..............................................................
+!  PURPOSE:  modify terminal residues to complete bonding scheme
+!            with residue 'grpn' at N- and residue 'grpc' at C-terminus
+!            ! need initial co-ordinates for residues to modify
+!            ! for N-terminus: may add only simple groups
+!
+!  CALLS:  rplgrp,tolost,redchg
+! ..............................................................
  
       include 'INCL.H'
@@ -35,13 +35,13 @@
 
       if (grn(:3).eq.'ace'.or.grc(:3).eq.'ace'
-     #.or.grn(:3).eq.'nme'.or.grc(:3).eq.'nme') then
+     &.or.grn(:3).eq.'nme'.or.grc(:3).eq.'nme') then
 
         write(*,'(2a)') ' addend> N-Acetyl (ace) or N-Methylamide (nme)'
-     #   ,' should be put in SEQUENCE file, not added as end groups'
+     &   ,' should be put in SEQUENCE file, not added as end groups'
 
         stop
       endif
 
-c __________________________________________ N-terminus
+! __________________________________________ N-terminus
       ifirs=irsml1(nml)
       rpat='n   '
@@ -55,5 +55,5 @@
             else
               write (*,'(2a)') ' addend> ',
-     #         ' No N-terminal Hyp possible with ECEPP/3 dataset'
+     &         ' No N-terminal Hyp possible with ECEPP/3 dataset'
               stop
             endif
@@ -83,5 +83,5 @@
 
           write(*,'(2a)') ' addend> Can add only ',
-     *     'nh2 or nh3+ to N-terminus'
+     &     'nh2 or nh3+ to N-terminus'
           stop
 
@@ -94,8 +94,8 @@
 
         write(*,'(2a)') ' addend> Acetyl group',
-     #     ' at N-terminus not modified'
-      endif
-
-c __________________________________________ C-terminus
+     &     ' at N-terminus not modified'
+      endif
+
+! __________________________________________ C-terminus
       ilars=irsml2(nml)
       rpat='c   '
@@ -124,5 +124,5 @@
 
           write(*,'(2a)') ' addend> Can add only ',
-     #     'cooh or coo- to C-terminus'
+     &     'cooh or coo- to C-terminus'
           stop
 
@@ -135,9 +135,9 @@
 
         write(*,'(2a)') ' addend> N-Methylamide',
-     #     ' at C-terminus not modified'
-
-      endif
-
-c ----------------------------- net charge of molecule
+     &     ' at C-terminus not modified'
+
+      endif
+
+! ----------------------------- net charge of molecule
       cg = 0.d0
       do i=iatrs1(irsml1(nml)),iatrs2(irsml2(nml))
@@ -145,24 +145,24 @@
       enddo
       if (abs(cg).gt.1.d-5) write(*,'(a,i2,a,f7.3,/)')
-     #        ' addend> Net charge of molecule #'
-     #        ,nml,': ',cg
+     &        ' addend> Net charge of molecule #'
+     &        ,nml,': ',cg
 
       return
       end
-c ****************************************
+! ****************************************
       subroutine rplgrp(nml,nrs,rpat,sbrs)
 
-c ...............................................................
-c PURPOSE: replace atom(s) rooted at atom 'rpat' in residue
-c          'nrs' of molecule 'nml' by atom(s) rooted at 
-c          'rpat' of residue 'sbrs' (same name of root
-c          atom 'rpat' maintains bonding geometry for
-c          preceeding atoms in 'nrs')
-c
-c          is NOT performed if 'rpat' is within mainchain,
-c          except it is first/last mainchain atom of 'nml'
-c
-c CALLS: dihedr,iopfil,iendst,eyring,fndbrn,redres,setsys,valang
-c ...............................................................
+! ...............................................................
+! PURPOSE: replace atom(s) rooted at atom 'rpat' in residue
+!          'nrs' of molecule 'nml' by atom(s) rooted at 
+!          'rpat' of residue 'sbrs' (same name of root
+!          atom 'rpat' maintains bonding geometry for
+!          preceeding atoms in 'nrs')
+!
+!          is NOT performed if 'rpat' is within mainchain,
+!          except it is first/last mainchain atom of 'nml'
+!
+! CALLS: dihedr,iopfil,iendst,eyring,fndbrn,redres,setsys,valang
+! ...............................................................
 
       include 'INCL.H'
@@ -180,5 +180,5 @@
       nfi=iatrs1(nrs)
       nla=iatrs2(nrs)
-c __________________________ indices of atoms to be replaced
+! __________________________ indices of atoms to be replaced
       do i=nfi,nla
         if (rpat.eq.nmat(i)) then
@@ -188,5 +188,5 @@
       enddo
       write (*,'(4a,i4,a,i4)') ' rplgrp> cannot find atom >',rpat,
-     #'< to be replaced in residue ',seq(nrs),nrs,' of molecule ',nml
+     &'< to be replaced in residue ',seq(nrs),nrs,' of molecule ',nml
       stop
 
@@ -218,6 +218,6 @@
               if (ibdrg.ne.0) then
                 write (*,'(2a,i3)') 
-     #             ' rplgrp> Can handle only simple ring at 1st',
-     #             ' atom of molecule #',nml
+     &             ' rplgrp> Can handle only simple ring at 1st',
+     &             ' atom of molecule #',nml
                 stop
               endif
@@ -245,25 +245,25 @@
         else
           write (*,'(4a,i4,a,i4)') 
-     #      ' rplgrp> Cannot replace BACKBONE atom ',rpat,
-     #      ' of residue ',seq(nrs),nrs,' in molecule #',nml
+     &      ' rplgrp> Cannot replace BACKBONE atom ',rpat,
+     &      ' of residue ',seq(nrs),nrs,' in molecule #',nml
           stop
         endif
 
       endif  ! N-terminus
-c _________________________________ previous atoms
+! _________________________________ previous atoms
     2 if (nfirp.eq.nfi.and.nrs.eq.ifirs) goto 11
       nxtbb1=iowat(nfirp)
       if (nxtbb1.eq.nfi.and.nrs.eq.ifirs) goto 11
       nxtbb2=iowat(nxtbb1)
-c _______________________________ get data for substituent atoms
+! _______________________________ get data for substituent atoms
     3 if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
         write (*,'(a,/,a,i3,2a)') 
-     #    ' rplgrp> ERROR opening library of residues:',
-     #    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+     &    ' rplgrp> ERROR opening library of residues:',
+     &    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
         stop
       endif
       call redres(sbrs,natsb,nxtsb,nvrsb)
       close (lunlib)
-c __________________________ indices of substituent atoms
+! __________________________ indices of substituent atoms
       do i=1,natsb
         if (rpat.eq.nmath(i)) then
@@ -273,5 +273,5 @@
       enddo
       write (*,'(4a)') ' rplgrp> Cannot find atom >',rpat,
-     #'< in substituent residue ',sbrs
+     &'< in substituent residue ',sbrs
       stop
 
@@ -288,5 +288,5 @@
         enddo  ! ... branch atoms
     5 enddo  ! ... branches
-c _________________________________________________ local axes at 'nfirp'
+! _________________________________________________ local axes at 'nfirp'
       call setsys(nxtbb1,nfirp,nxtbb2,x1,x2,x3,y1,y2,y3,z1,z2,z3)
 
@@ -298,5 +298,5 @@
       zbaat(nfirp)=z3
 
-c _____________________ add virtual atoms
+! _____________________ add virtual atoms
       if (ntbb) then
 
@@ -306,5 +306,5 @@
         sa=snbaat(nxtbb1)
 
-c ------------------- Eyring
+! ------------------- Eyring
         h2=-sa*ct
         h3=-sa*st
@@ -331,5 +331,5 @@
         st=sntoat(nxtbb1)
 
-c -------------------- Eyring with b.angle = 90 deg.
+! -------------------- Eyring with b.angle = 90 deg.
         xat(-ione)=xat(izero)-ct*(z2*x3-z3*x2)-st*z1
         yat(-ione)=yat(izero)-ct*(z3*x1-z1*x3)-st*z2
@@ -337,5 +337,5 @@
 
       endif
-c _____________________________________________ Shift atom data
+! _____________________________________________ Shift atom data
       nrp=nlarp-nfirp
       nsb=nlasb-nfisb
@@ -407,5 +407,5 @@
 
         enddo
-c ____________________________________________ Shift residue data
+! ____________________________________________ Shift residue data
         do i=nrs+1,irsml2(ntlml)
           iatrs1(i)=iatrs1(i)+nsh
@@ -418,5 +418,5 @@
         nsh=0
       endif
-c _________________________________________ Correct data of 'nfirp'
+! _________________________________________ Correct data of 'nfirp'
       ish=nfirp-nfisb
       ityat(nfirp)=ityath(nfisb)
@@ -450,8 +450,8 @@
           if (nb.gt.mxbd) then
             write (*,'(6a,/,2a,3(i4,a))')
-     #      ' rplgrp> Cannot add atoms following ',rpat,
-     #      ' from group ',sbrs,' to atom ',rpat,
-     #      ' of residue ',seq(nrs),nrs,' in molecule #',nml,
-     #      ' because need >',(mxbd+1),' bonds'
+     &      ' rplgrp> Cannot add atoms following ',rpat,
+     &      ' from group ',sbrs,' to atom ',rpat,
+     &      ' of residue ',seq(nrs),nrs,' in molecule #',nml,
+     &      ' because need >',(mxbd+1),' bonds'
             stop
           endif
@@ -474,5 +474,5 @@
       endif
       nbdat(nfirp)=nb
-c _________________________________________ Add data for substituent
+! _________________________________________ Add data for substituent
       ii=nfirp
       do i=nfisb+1,nlasb
@@ -527,6 +527,6 @@
 
       enddo  ! substituent atoms
-c ___________________________________________________ Take care of Variables
-c (assume variables of replaced group/substituent to be stored CONSECUTIVELY)
+! ___________________________________________________ Take care of Variables
+! (assume variables of replaced group/substituent to be stored CONSECUTIVELY)
 
       ilavr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -610,28 +610,28 @@
 
       return
-c __________________________________________ Errors
+! __________________________________________ Errors
    10 write (*,'(3a,/,2a,i4,a,i4,/,2a)') 
-     #   ' rplgrp> Cannot replace atom(s) following ',rpat,
-     #   ' from INSIDE a ring','    in residue: ',seq(nrs),nrs,
-     #   ' in molecule #',nml,' or in substitute: ',sbrs
+     &   ' rplgrp> Cannot replace atom(s) following ',rpat,
+     &   ' from INSIDE a ring','    in residue: ',seq(nrs),nrs,
+     &   ' in molecule #',nml,' or in substitute: ',sbrs
       stop
    11 write (*,'(4a,i4,a,i4,/,a)') 
-     #   ' rplgrp> Cannot replace atom(s) following ',rpat,
-     #   ' of residue ',seq(nrs),nrs,' in molecule #',nml,
-     #   ' since necessary 2 previous atoms are not available' 
+     &   ' rplgrp> Cannot replace atom(s) following ',rpat,
+     &   ' of residue ',seq(nrs),nrs,' in molecule #',nml,
+     &   ' since necessary 2 previous atoms are not available' 
       stop
 
       end
-c ****************************************
+! ****************************************
       subroutine redchg(nml,nrs,rpat,sbrs)
 
-c .........................................................
-c PURPOSE: read and place atomic point charges from residue
-c          'sbrs' to residue 'nrs' of molecule 'nml'
-c          from library 'chglib' with LUN=lunchg, if ilib=1
-c                       'reslib' with LUN=lunlib, if ilib=2
-c
-c CALLS: iopfil,iendst,tolost
-c ........................................................
+! .........................................................
+! PURPOSE: read and place atomic point charges from residue
+!          'sbrs' to residue 'nrs' of molecule 'nml'
+!          from library 'chglib' with LUN=lunchg, if ilib=1
+!                       'reslib' with LUN=lunlib, if ilib=2
+!
+! CALLS: iopfil,iendst,tolost
+! ........................................................
 
       include 'INCL.H'
@@ -677,6 +677,6 @@
         if (iopfil(lunchg,chgfil,'old','formatted').le.izero) then
           write (*,'(a,/,a,i3,2a)') 
-     #      ' redchg> ERROR opening library of charges:',
-     #      ' LUN=',lunchg,' FILE=',chgfil(1:iendst(chgfil))
+     &      ' redchg> ERROR opening library of charges:',
+     &      ' LUN=',lunchg,' FILE=',chgfil(1:iendst(chgfil))
           stop
         endif
@@ -701,6 +701,6 @@
               enddo
               write (*,'(6a)') ' redchg> Cannot find atom: ',atnm,
-     #                        ' for entry: ',cgty,' in library: ',
-     #                        chgfil(1:iendst(chgfil))
+     &                        ' for entry: ',cgty,' in library: ',
+     &                        chgfil(1:iendst(chgfil))
               stop
     2       enddo
@@ -708,6 +708,6 @@
           else
             write (*,'(4a)')
-     #       ' redchg> must increase MXATH to read data for entry: ',
-     #        cgty,' in library: ',chgfil(1:iendst(chgfil))
+     &       ' redchg> must increase MXATH to read data for entry: ',
+     &        cgty,' in library: ',chgfil(1:iendst(chgfil))
             close(lunchg)
             stop
@@ -716,6 +716,6 @@
         goto 1
     3   write (*,'(4a)')
-     #   ' redchg> Cannot find entry: ',cgty,' in library: ',
-     #      chgfil(1:iendst(chgfil))
+     &   ' redchg> Cannot find entry: ',cgty,' in library: ',
+     &      chgfil(1:iendst(chgfil))
         close(lunchg)
         stop
@@ -725,6 +725,6 @@
         if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
           write (*,'(a,/,a,i3,2a)') 
-     #      ' redchg> ERROR opening library of residues:',
-     #      ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+     &      ' redchg> ERROR opening library of residues:',
+     &      ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
           stop
         endif
@@ -748,6 +748,6 @@
               enddo
               write (*,'(6a)') ' redchg> Cannot find atom: ',atnm,
-     #                        ' for entry: ',cgty,' in library: ',
-     #                        reslib(1:iendst(reslib))
+     &                        ' for entry: ',cgty,' in library: ',
+     &                        reslib(1:iendst(reslib))
               stop
     5       enddo
@@ -755,6 +755,6 @@
           else
             write (*,'(4a)')
-     #       ' redchg> must increase MXATH to read data for entry: ',
-     #        cgty,' in library: ',reslib(1:iendst(reslib))
+     &       ' redchg> must increase MXATH to read data for entry: ',
+     &        cgty,' in library: ',reslib(1:iendst(reslib))
             close(lunchg)
             stop
@@ -763,6 +763,6 @@
         goto 4
     6   write (*,'(4a)')
-     #   ' redchg> Cannot find entry: ',cgty,' in library: ',
-     #      reslib(1:iendst(reslib))
+     &   ' redchg> Cannot find entry: ',cgty,' in library: ',
+     &      reslib(1:iendst(reslib))
         close(lunchg)
         stop
@@ -771,6 +771,6 @@
 
    10 write (*,'(4a)')
-     #    ' redchg> Do not have charges for N/C-terminal residue ',
-     #    res,' modified with group :',sbrs
+     &    ' redchg> Do not have charges for N/C-terminal residue ',
+     &    res,' modified with group :',sbrs
       stop
 
Index: anneal.f
===================================================================
--- anneal.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ anneal.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,59 +1,59 @@
-c **************************************************************
-c
-c This file contains the subroutines:  anneal
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c $Id: anneal.f 334 2007-08-07 09:23:59Z meinke $
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines:  anneal
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! $Id: anneal.f 334 2007-08-07 09:23:59Z meinke $
+! **************************************************************
 
       subroutine  anneal(nequi, nswp, nmes, tmax, tmin, lrand)
 
-C --------------------------------------------------------------
-C PURPOSE: SIMULATED ANNEALING SEARCH OF LOWEST-POTENTIAL-ENERGY
-C          CONFORMATIONS OF PROTEINS
-C
-C CALLS: addang,energy,metropolis,outvar,outpdb,rgyr,setvar,zimmer
-C
-C ---------------------------------------------------------------
+! --------------------------------------------------------------
+! PURPOSE: SIMULATED ANNEALING SEARCH OF LOWEST-POTENTIAL-ENERGY
+!          CONFORMATIONS OF PROTEINS
+!
+! CALLS: addang,energy,metropolis,outvar,outpdb,rgyr,setvar,zimmer
+!
+! ---------------------------------------------------------------
  
       include 'INCL.H'
 
-cf2py intent(in) nequi
-cf2py intent(in) nswp
-cf2py intent(in) nmes
-cf2py intent(in) Tmax
-cf2py intent(in) Tmin
-cf2py logical optional, intent(in):: lrand = 1
+!f2py intent(in) nequi
+!f2py intent(in) nswp
+!f2py intent(in) nmes
+!f2py intent(in) Tmax
+!f2py intent(in) Tmin
+!f2py logical optional, intent(in):: lrand = 1
 
-c     external rand
+!     external rand
       external can_weight
-c      parameter(lrand=.true.)
-c      parameter(nequi=100, nswp=100000,nmes=1000)
-c      parameter(tmax=1000.0,tmin=100.0)
-C     lrand=.true.: creates random start configuration 
+!      parameter(lrand=.true.)
+!      parameter(nequi=100, nswp=100000,nmes=1000)
+!      parameter(tmax=1000.0,tmin=100.0)
+!     lrand=.true.: creates random start configuration 
       logical lrand
-C     nequi: Number of sweeps for equilibrisation of system
+!     nequi: Number of sweeps for equilibrisation of system
       integer nequi
-C     nswp:  Number of sweeps for simulation run
+!     nswp:  Number of sweeps for simulation run
       integer nswp
-c     nmes:  Number of sweeps between measurments
+!     nmes:  Number of sweeps between measurments
       integer nmes
-C     tmax: Start temperature
+!     tmax: Start temperature
       double precision tmax
-C     tmin: Final temperature
+!     tmin: Final temperature
       double precision tmin
      
       
 !      common/bet/beta
-C
+!
       dimension vlvrm(mxvr)
 
      
  
-c     Define files for output:
+!     Define files for output:
       open(14,file='time.d')
       write(14, *) '# $Id: anneal.f 334 2007-08-07 09:23:59Z meinke $'
@@ -64,8 +64,8 @@
       db = exp(log(bmax/bmin)/nswp)
 
-c     nresi: Number of residues
-c FIXME: Should loop over all proteins
+!     nresi: Number of residues
+! FIXME: Should loop over all proteins
       nresi=irsml2(ntlml)-irsml1(1)+1
-c _________________________________ random start
+! _________________________________ random start
       if(lrand) then
        do i=1,nvr
@@ -80,8 +80,8 @@
       write (*,'(a,e12.5,/)')  'energy of start configuration: ',eol
 
-C Write start configuration in pdb-format into file
+! Write start configuration in pdb-format into file
         call outpdb(0, "start.pdb")
 
-c =====================Equilibration by  Metropolis
+! =====================Equilibration by  Metropolis
       beta =  bmin
       do nsw=1,nequi
@@ -90,5 +90,5 @@
       write(*,*) 'Energy after  equilibration:',eol
 
-C======================Simulation by simulated annealing
+!======================Simulation by simulated annealing
       acz = 0.0d0
       ymin = eol
@@ -96,10 +96,10 @@
         beta = bmin*db**nsw
         call metropolis(eol,acz,can_weight)
-c Store lowest-energy conformation
+! Store lowest-energy conformation
         if(eol.lt.ymin) then
          ymin = eol
          nemin = nsw
          call outvar(0,'global.var')
-C     Output of lowest-energy conformation as pdb-file
+!     Output of lowest-energy conformation as pdb-file
          call outpdb(0,"global.pdb")
          do j=1,nvr
@@ -108,11 +108,11 @@
          end do
         end if
-c
+!
         if(mod(nsw,nmes).eq.0) then
-C Measure radius of gyration and end-to-end distance
+! Measure radius of gyration and end-to-end distance
          call rgyr(1, rgy, ee)
-C Determine Zimmerman code of actual conformation
+! Determine Zimmerman code of actual conformation
          call zimmer(nresi)
-C Write down information on actual conformation
+! Write down information on actual conformation
          temp =  1.0d0/beta/0.00198773
          write(14,'(i6,13f12.3,1x,a)')  
@@ -121,5 +121,5 @@
      &   eyhb, eyvw, eyel, eyvr, zimm(1:nresi)
         end if
-C
+!
       end do
 
@@ -127,15 +127,15 @@
       write(*,*) 'acceptance rate:',acz
       write(*,*)
-c ------------ Output Dihedreals of final configuration
+! ------------ Output Dihedreals of final configuration
       write(*,*) 'last energy',eol
       call outvar(0,' ')
-C     Output final conformation as pdb-file
+!     Output final conformation as pdb-file
       call outpdb(0,"final.pdb")
       write(*,*)
 
-c ------------ Output Dihedreals of conformation with lowest energy
+! ------------ Output Dihedreals of conformation with lowest energy
       write(*,*) 'lowest energy ever found:',nemin,ymin
       close(14)
-c =====================
+! =====================
 
 
Index: bgs.f
===================================================================
--- bgs.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ bgs.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -156,5 +156,5 @@
             bv(nph,3)=xiv(nph,3)-zat(iN(icurraa))
             ab(nph)=bv(nph,1)*bv(nph,1)+bv(nph,2)*bv(nph,2)
-     #           +bv(nph,3)*bv(nph,3)
+     &           +bv(nph,3)*bv(nph,3)
             iph(nph)=iphi(icurraa)
          endif 
@@ -168,5 +168,5 @@
             bv(nph,3)=xiv(nph,3)-zat(iCa(icurraa))
             ab(nph)=bv(nph,1)*bv(nph,1)+bv(nph,2)*bv(nph,2)
-     #           +bv(nph,3)*bv(nph,3)
+     &           +bv(nph,3)*bv(nph,3)
             iph(nph)=ipsi(icurraa)
          endif
@@ -185,9 +185,9 @@
          do j=1,nph
             dv(i,j,1)=(1.0/ab(j))*(bv(j,2)*(rv(i,3)-xiv(j,3))-
-     c           bv(j,3)*(rv(i,2)-xiv(j,2)))
+     &           bv(j,3)*(rv(i,2)-xiv(j,2)))
             dv(i,j,2)=(-1.0/ab(j))*(bv(j,1)*(rv(i,3)-xiv(j,3))-
-     c           bv(j,3)*(rv(i,1)-xiv(j,1)))
+     &           bv(j,3)*(rv(i,1)-xiv(j,1)))
             dv(i,j,3)=(1.0/ab(j))*(bv(j,1)*(rv(i,2)-xiv(j,2))-
-     c           bv(j,2)*(rv(i,1)-xiv(j,1)))
+     &           bv(j,2)*(rv(i,1)-xiv(j,1)))
          enddo
       enddo
@@ -273,5 +273,5 @@
             bv(nph,3)=xiv(nph,3)-zat(iN(icurraa))
             ab(nph)=bv(nph,1)*bv(nph,1)+bv(nph,2)*bv(nph,2)
-     #           +bv(nph,3)*bv(nph,3)
+     &           +bv(nph,3)*bv(nph,3)
             iph(nph)=iphi(icurraa)
          endif 
@@ -285,5 +285,5 @@
             bv(nph,3)=xiv(nph,3)-zat(iCa(icurraa))
             ab(nph)=bv(nph,1)*bv(nph,1)+bv(nph,2)*bv(nph,2)
-     #           +bv(nph,3)*bv(nph,3)
+     &           +bv(nph,3)*bv(nph,3)
             iph(nph)=ipsi(icurraa)
          endif
@@ -302,9 +302,9 @@
          do j=1,nph
             dv(i,j,1)=(1.0/ab(j))*(bv(j,2)*(rv(i,3)-xiv(j,3))-
-     c           bv(j,3)*(rv(i,2)-xiv(j,2)))
+     &           bv(j,3)*(rv(i,2)-xiv(j,2)))
             dv(i,j,2)=(-1.0/ab(j))*(bv(j,1)*(rv(i,3)-xiv(j,3))-
-     c           bv(j,3)*(rv(i,1)-xiv(j,1)))
+     &           bv(j,3)*(rv(i,1)-xiv(j,1)))
             dv(i,j,3)=(1.0/ab(j))*(bv(j,1)*(rv(i,2)-xiv(j,2))-
-     c           bv(j,2)*(rv(i,1)-xiv(j,1)))
+     &           bv(j,2)*(rv(i,1)-xiv(j,1)))
          enddo
       enddo
